Description

I think, it would be very useful to change setting of a Custom field on a 'per project basis'.

This mainly relates to 'List' type of fields. What happens is that the same type of field might have different possible values in different

projects.

Right now this means that I either have to list values possible for all projects (which is not a good idea) or create different custom

fields for every project (but then I cannot really filter across different projects and always have to create a custom name for the field in

every project...)

Related issues:

Related to Redmine - Feature #1767: Make spent time - & project custom fields... New 2008-08-11

Related to Redmine - Feature #4015: Make app settings overridable at project ... New 2009-10-10

Related to Redmine - Feature #10027: Make "Required" overridable per-project New

Related to Redmine - Feature #1853: Make Projects truly independent of each o... New 2008-09-04

Has duplicate Redmine - Feature #16383: Custom field // a LIST with values by... Closed

Has duplicate Redmine - Feature #18425: the custom fields can be defined in t... Closed

History

#1 - 2010-03-19 23:55 - Mischa The Evil

- Category set to Custom fields

Issue-relation added: Related to Feature #1767

#2 - 2010-05-27 17:40 - Brandon Bonds

Seconded.  Here's a good example situation:

A project sponsor wants a custom field named exactly Defect Cause, and supplies a precise list of options.  But there is already have a field named 

Defect Cause for all the other projects, approved by other sponsors.  So I'm stuck having to OK the change of my original field because Redmine

doesn't allow different custom fields with the same name, even if they are never used on the same project.

#3 - 2010-07-27 14:44 - André Jonsson

Thirded :)

Another, probably common, is "version".

Could, in theory, be simply a text field, but it's not uncommon to have specific versions. As I see it, this would be the same kind of configurable as

now-existing "Versions" and "Categories".

When an issue is reported, this issue will have to be associated with a specific version. This is currently not possible and this information will have to

be put in the description field. This is sub-optimal as it is not searchable (or groupable).

#4 - 2010-07-27 15:11 - André Jonsson

André Jonsson wrote:

(some stuff)

 Actually, I take my example back... I realised my scenario is already supported by the existing "Versions" (that I also mentioned)  ;)
But I still think this would be a nice feature to have for other purposes.

#5 - 2010-07-27 15:16 - André Jonsson

Ok, back again :)

Maybe I can rephrase my scenario a bit: If there was an issue field "Reported version" in addition to the existing "Target version". Both being of the 

type Versions so that they both show content from the defined Versions data, but can be set to two different values, which is probably most common

(reported in version A, but targeted to be fixed in version B).

#6 - 2010-10-05 17:57 - Christian Hausleitner

We have exactly the same issue (see help request).

Currently, we are editing the DB for overcoming this problem (custom filed with same name in different projects).

#7 - 2011-05-02 10:09 - Robert Schneider

+1

Custom field values for lists really shouldn't be an administrator task. They may change to often.

#8 - 2011-05-02 10:45 - Robert Schneider

This issue is propably contained in #1853 as well.

#9 - 2013-04-09 13:13 - Dipan Mehta

If you see the entire fields permissions work flow - which allows { per-tracker X per-status X per-role } now repeat this per project (with 100 projects!) it

would be too heavy!

Instead of having to have custom field configuration 'per project' it is better to 'override' for specific projects per say.

This issue should follow the approach #4015 rather than #1853

Please add related #4015.

#10 - 2013-08-07 18:25 - joseph john

+1

This is one of the biggest trouble we face. We have around 10 different projects and there are few field values which make sense for different project

but the values are project specific.

I was looking forward for this implementation in the latest release.

#11 - 2013-08-09 10:19 - Christophe SERMET-MAGDELAIN

I'm starting to bring our people to work with Redmine and one of the first need I encounter is exactly this feature request.

On each project we have ussue categories and versions to attach data for each issue. Theses two predefined fields are usefull but we'd like to attach

more information to be more accurate when organizing, filtering issues.

For example, we need target version but we need tested version too. We need to add information about where the issue takes place considering our

application content structure, and so on.

All these may be done with custom fields but as we need it to be predefined value lists, with different values for each project but the same field

name... exactly the same trouble as described here.

The #4015 approach is a more generic approach but I guess it could be a hard one as far as the whole workflow is concerned.

#12 - 2013-12-05 16:08 - Andrey Shevchenko

+1 as well.

We have list as custom field and we need different default values for different projects.

#13 - 2014-01-10 17:47 - Nicholas Ustinov

+1 as well

#14 - 2014-03-25 21:59 - Robert Schneider

+1 just to make it not forgotton.

If I'm not wrong we could distinguish: CF could be like the categories - the field and its values are defined within the project. Or the field is globally but

the values are per-project defined. I don't know which one would be easier to implement.

#15 - 2014-03-26 11:29 - Samuel Samfra

+1 ... I need exactly the same thing. We call this "the breakdown" (either it is GLOBAL or PROJECT)
Advantages to have one attribute but values by project is that we can manage the rights for all projects (otherwise we must add and place the field

project by project)

To create one attribute for each project solves the problem BUT we can't call it with the same name...

The best example is the "CATEGORY" field... I would dream to use the same behavior for customized attributes : User can add their own values if the

value is missing, etc.. etc...

thank you

#16 - 2014-04-01 11:20 - Stéphane Dubois

+1 I also need this.

I would dream to be able to create a custom field of type Project list. Then, in the project settings, I would see one tab per Project list custom field,

allowing the project manager to define the values of each list.

#17 - 2014-04-17 10:17 - Toshi MARUYAMA

- Has duplicate Feature #16383: Custom field // a LIST with values by projects added

#18 - 2014-10-08 13:37 - redmineservices .

+1

Hi,

I've just published a plugin with this feature. Works on redmine 2.3, 2.4 and 2.5 (at the moment, only works with issues custom fields)

https://github.com/javiferrer/redmine_custom_values_projects

#19 - 2014-12-20 15:24 - Omer Arslan

If Redmine is wanted to be referred by a free project management tool, it must give permission to create custom fields per project as in the issues. By

the way, great thanks to the developers who contributed to redmine app.

#20 - 2014-12-24 05:28 - Toshi MARUYAMA

- Has duplicate Feature #18425: the custom fields can be defined in the project added

#21 - 2015-08-28 20:40 - Victor Campos

Javi Ferrer wrote:

+1

Hi,

I've just published a plugin with this feature. Works on redmine 2.3, 2.4 and 2.5 (at the moment, only works with issues custom fields)

https://github.com/javiferrer/redmine_custom_values_projects

 Javi Ferrer, I forked your plugin to make it work in redmine 3.1. =)

#22 - 2016-10-26 11:32 - Adrian H.

+1

We are experiencing the same requirement here with a similar use case:

The Custom Field is defined as List Box; the entries (including a default value) must be configurable on project scope.

Our "solution" so far is using a text field, which leaves us without default value and error-prone.

(Victor's fork of Javi's plugin, which seems to work with 3.3, does not treat to the default value part)

#23 - 2017-05-30 12:58 - Matthias Hahn

I could not find the fork of Viktor of Javi´s Plugin.

Where can I find it? Thanks!

edit: https://github.com/javiferrer/redmine_custom_values_projects/network ... it´s in the repo :)

#24 - 2018-02-13 05:07 - Dmitry GLushchikov

Plugin makes 'Spent time' custom fields configurable on project - tracker

https://github.com/rpc1/time_entry_cf_binder
#25 - 2018-12-27 16:06 - VD DV

This issue is related to #21149 and #25043. There is one (of many) point of view how that functionality can be solved.

Still hoping that this functionality will be included  to Redmine in near future.

#26 - 2020-03-11 13:57 - hsc solutions

+1

this would be very nice!

#27 - 2021-09-24 10:56 - Yaroslav Matsera

+1

I also need this feature

#28 - 2023-06-23 13:49 - Jérôme Gallot

+1

best idea ever ;)
